> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable a disabled webhook subscription

> Resets the consecutive failure count and re-enables the subscription.

Requires the `webhook_subscription:write` ability.



## OpenAPI

````yaml /api-reference/api.json post /webhook-subscriptions/{webhook_subscription}/enable
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /webhook-subscriptions/{webhook_subscription}/enable:
    post:
      tags:
        - Webhook Subscriptions
      summary: Enable a disabled webhook subscription
      description: |-
        Resets the consecutive failure count and re-enables the subscription.

        Requires the `webhook_subscription:write` ability.
      operationId: webhook-subscriptions.enable
      parameters:
        - name: webhook_subscription
          in: path
          required: true
          description: 'The webhook subscription ID. Example: `wh_sub_01jz8v2q4x...`'
          schema:
            type: string
        - name: fields[webhook-subscriptions]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - url
                - events
                - secret
                - enabled
                - consecutive_failures
                - created_at
                - updated_at
                - disabled_at
          explode: false
      responses:
        '200':
          description: '`WebhookSubscriptionResource`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookSubscriptionResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    WebhookSubscriptionResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: webhook-subscriptions
        attributes:
          type: object
          properties:
            url:
              type: string
              description: The webhook endpoint URL.
            events:
              type: array
              description: The event types this subscription listens to.
              items:
                type: object
            secret:
              description: >-
                The signing secret. Only returned when the subscription is first
                created.
              anyOf:
                - type: string
                - type: object
            enabled:
              type: boolean
              description: Whether the subscription is enabled.
            consecutive_failures:
              type: string
              description: The number of consecutive delivery failures.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
            disabled_at:
              type: string
              description: >-
                ISO 8601 formatted date-time when the subscription was disabled,
                or null if enabled.
      required:
        - id
        - type
      title: WebhookSubscriptionResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````